html body .content {
    padding: 0;
    position: relative;
    transition: 300ms ease all;
    backface-visibility: hidden;
    min-height: calc(100% - 2.5rem);
    margin-right: 255px;
    margin-left: 10px;
}
body {
    font-family: tajawal !important;
}
.vertical-overlay-menu .main-menu .navigation li.has-sub > a:not(.mm-next):after{
    left: 7px;
    right: 200px;
  }
body.vertical-layout.vertical-menu-modern.menu-collapsed .main-menu.expanded .navigation li.has-sub > a:not(.mm-next):after
{
 left: 7px;
 right: 200px;

}
body.dark-layout h3.title-breadcrumb {
    color: var(--fontColor) !important;
    font-size: 28px;
    padding-left: 10px;
    padding-right: 7px;
  }
.mr-1, .mx-1 {
    margin-left: 1rem !important;
}

.mr-0, .mx-0 {
    margin-left: 0 !important;
}

.cards-div {
    display: flex;
    padding: 7px;
    width: 75%;
    margin-bottom: 10px;
    background-color: var(--light-light);
    border-radius: 7px;
    justify-content: space-between;
}
.back-btn {
    margin-bottom: 10px;
}
#selectDateContainer {
    margin-right: 15px;
    display: flex;
}


.hours-div {
    display: flex;
    flex-wrap: nowrap;
    background-color: #3c3c3c;
    margin-top: 15px;
    padding: 5px;
    border-radius: 5px;
}
.heatmapName {
    border-radius: 5px !important;
    padding: 7px !important;
    font-size: 12px !important;
}
.slides-div {
    display: flex;
     justify-content: center;
    margin-top: 10px;
}
.icon-style {
    font-size: 30px;
    float: right;
    margin-right: 5px;
    cursor: pointer;
}
.name-section {
    display: flex; 
     align-items: center;  
}
.head-div {
    display: flex;
    justify-content: space-between;
}

button {
    outline: none !important;
}

#branches {
    overflow-y: scroll;
}
.filtros {
	background-color: var(--light-light);
    border-radius: 5px;
    padding-bottom: 1rem;
    text-align: initial;

}
.heatmaps-text {
    color: var(--fontColor) !important;
    cursor: pointer;
}

.back-text {
    color: var(--fontColor) !important;
    cursor: pointer;
    text-align: center;
}

.step-text {
    color: var(--fontColor) !important;

}
.btnBranch {
    margin: 3px;
}
.name-detail {
    padding-right: 10px;
}

#mapTools {
    margin: 10px 10px;
}
#historicalHeatMapControls {
    width: 800px;
}
.filters-section {
    display: flex;
    flex-wrap: nowrap;
    background-color: #3c3c3c;
    margin-top: 15px;
    padding: 0px;
    border-radius: 5px;
}
#camerasList {
    margin: 0px 0px 0px 15px;
    display: flex;
    flex-direction: column;
    padding: 10px;
    
}
@media screen and (min-width: 700px) and (max-width: 1000px) {
    #camerasList {
        margin: 0px 0px 10px 15px !important;
        display: flex !important;
        width: 94% !important;
        flex-direction: column !important;
        padding: 10px !important;
        
    }
    .btn-save-edit {
        margin-top: 10px !important;
        margin: auto !important;
    }
}
.apply-btn {
    border: 1px solid var(--color-green);
    color: var(--color-green);
    border-radius: 8px;
    text-align: center;
    font-size: 12px;
    padding: 4px 32px;
    width: 100%;
    cursor: pointer;
    background-color: var(--bgColor);
}

.step_box {
    border: 1px solid;
    padding: 10px;
}

.step_line {
    border: 1px solid;
    height: 10px;
}
._controls {
    /* width: 206px; */
    background-color: #a1c523;
    border-radius: 3px;
    padding: 5px;
    cursor: pointer;
  }
  .btn-save-edit-div {
    margin-top: 13px;
  }

  .btn-save-edit {
    border: 1px solid var(--color-green);
    color: var(--color-green);
    border-radius: 8px;
    text-align: center;
    font-size: 12px;
    padding: 6px 12px;
    margin-top: 10px;
    width: 200px;
    margin-bottom: 10px;
    cursor: pointer;
    background-color: var(--bgColor);
  }

  .branche_cameras {
    margin-top: 8px;
  }
  .right-section-filter {
    margin-left: 20px;
    padding: 10px;
    height: 892px;
    width: 250px;
    margin-bottom: 0px !important;
  }

  .right-section-filter-detail {

  margin-left: 7px;
    padding: 10px;
    height: 892px;
    width: 190px;
    margin-bottom: 0px !important;
  }
  .heatmap-name {
    display: flex;
    align-items: center;
    /* margin-bottom: 5px; */
  }
.upload-img-div {
    display: flex;
    align-items: center;
}

.upload-img-span {
    padding-right: 10px;        
}

  .heatmapName {
    border: 1px solid !important;
    border-radius: 5px !important;
    padding: 7px !important;
    font-size: 12px !important;
  }

  ._controls2 {
    width: 100px;
    background-color: #a1c523;
    border-radius: 3px;
    padding: 5px;
    cursor: pointer;
    /* margin-left: 16px; */
  }
  .heatmap-card {
    max-width: 245px;
    padding: 26px 18px 7px 14px;
    margin: 0px;
  }
  .delete-btn-heatmap {
    position: absolute;
    right: 1px;
    top: 0px;
    width: 20px;
    cursor: pointer;
  }
  .steps-text {
    color: #525252 !important;
    margin-left: 7px;
    font-weight: 600;
  }
  .rigth-section {
    margin: 0 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  ._controls3 {
    width: 178px;
    background-color: #a1c523;
    border-radius: 3px;
    padding: 5px;
    margin-left: 6px;
    margin-bottom: 6px;

  }

    #branches_maps,
    #map_details {
    border-radius: 7px;
    background-color: var(--light-light);
    box-shadow: 0px -2px 12px 2px rgb(0 0 0 / 20%);
    padding: 14px;
    margin-left: 15px;
    height: 892px;
}

.controles {
    background-color: var(--bgColor);
    color: white;
}

#dotsContainer {
    position: absolute;
    width: 800px;
    height: 700px;
    border: 1px solid;
    background-color: green;
    opacity: 0.5;
}

.cell {
    padding: 3px;
    /* border: 1px solid; */
}

.text_date {
    width: 100px;
}
.select_div {
    width: 160px;
}
.fromDate-div {
    display: flex;
    align-items: center;
}
.fromDateInput {
    margin: 0px;
    padding: 0px;
    height: 25px;
}
.toDate-div {

}

#selectDate {
    font-size: 13px;
    height: 25px;
    padding: 0px;
    border-radius: 0px !important;
    padding-left: 10px;
}
#customDateContainer {
    margin-right: 10px;
    margin-left: 8px;
    margin-top: -8px;
    display: flex;
}
.cell-dot {
    font-size: 19px;
    text-decoration: none;
    background-color: transparent;
    cursor: pointer;
    user-select: none;
    width: 10px;
    height: 10px;
}

.yellow-area {
    box-shadow: 0 0 75px 50px yellow;
    width: 100px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0.5;
}

.orange-area {
    box-shadow: 0 0 30px 40px orange;
    width: 25px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.red-area {
    box-shadow: 0 0 25px 20px red;
    background-color: red;
    border-radius: 50%;
}

.btnStyle {
    border: 1px solid var(--color-green);
    color: var(--color-green);
    border-radius: 8px;
    text-align: center;
    font-size: 12px;
    padding: 6px 12px;
    cursor: pointer; 
       margin-top: 20px;
    background-color: var(--bgColor);
}

#searchBox {
    border: 1px solid;
    border-radius: 5px;
    padding: 7px;
    font-size: 16px;
}

#branchList {
    width: 165px;
    padding: 6px;
    background-color: #3f3f3f;
    border-radius: 5px;
    color: white;
    height: 37px;
    cursor: pointer;
}

/* ---------------------------Scroll Bar Style--------------------------------------------- */
::-webkit-scrollbar {
    height: 2px;
}

::selection {
    color: none;
    background: none;
}

/* For Mozilla Firefox */
::-moz-selection {
    color: none;
    background: none;
}

/* ---------------------------------------------------------------------------------------- */
.btnHourContainer {
    border: 1px solid;
    border-radius: 50%;
    width: 29px;
    padding: 5px;
    margin: 2px;
    text-align: center;
    cursor: pointer;
    color: white;
    background-color: #a2a2a1;
    opacity: 0.3;
}

.btnDayContainer {
    border: 1px solid #a2a2a1;
    width: 30px;
    height: 30px;
    padding: 5px;
    margin: 2px;
    text-align: center;
    cursor: pointer;
    color: white;
    background-color: #a5c939;
    opacity: 0.3;
}

#daysContainer {
    display: flex;
    flex-wrap: nowrap;
    overflow-x: scroll;
    max-width: 698px;
}

.btnHour {
    margin: auto;
}

#allDaysContainer {
    border: 1px solid rgb(255 90 90);
    width: 33px;
    height: 30px;
    padding: 5px;
    margin: 2px;
    text-align: center;
    cursor: pointer;
    color: white;
}

#AllHoursContainer {
    border: 1px solid rgb(255, 150, 150);
    border-radius: 50%;
    width: 29px;
    padding: 5px;
    margin: 2px;
    text-align: center;
    cursor: pointer;
    color: white;
}


.cell-dot .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;

    /* Position the tooltip */
    position: absolute;
    z-index: 1;
}

.cell-dot:hover .tooltiptext {
    visibility: visible;
}
.container-no-data{
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	margin: 150px auto;
}

.container-no-data p.title{
	font-family: 'Maven Pro', sans-serif;
	font-size: 16px;
}
.container-no-data p{
	font-size: 14px;
}